Bug 977336 - 3dconnexion spacepilot settings are incorrect [NEEDINFO]
3dconnexion spacepilot settings are incorrect
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 06:40 EDT by Alex Smirnoff
Modified: 2015-04-28 14:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-28 14:22:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kernel-team: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Alex Smirnoff 2013-06-24 06:40:01 EDT
Description of problem:

3dconnexion Spacepilot SP1 USB is recognized as a mouse, not as a joystick, and even as a mouse works incorrectly

Version-Release number of selected component (if applicable):

linuxconsoletools-1.4.4-7.fc18.x86_64
kernel-3.9.6-200.fc18.x86_64

How reproducible:

always

Steps to Reproduce:

1. Plug 3dconnexion Spacepilot in
2. Try to use the device as mouse control
3. Try to use the device as joystick control

Actual results:

1. Device is recognized and listed
2. Does not work
3. Does not work


Expected results:

Either 2. or 3. should work properly

Additional info:
[247902.032526] usb 1-1.2.4: new low-speed USB device number 7 using ehci-pci
[247902.116053] usb 1-1.2.4: New USB device found, idVendor=046d, idProduct=c625
[247902.116061] usb 1-1.2.4: New USB device strings: Mfr=3, Product=1, SerialNumber=0
[247902.116066] usb 1-1.2.4: Product: SpacePilot
[247902.116069] usb 1-1.2.4: Manufacturer: 3Dconnexion
[247902.257079] input: 3Dconnexion SpacePilot as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2.4/1-1.2.4:1.0/input/input19
[247902.257937] hid-generic 0003:046D:C625.0005: input,hidraw3: USB HID v1.10 Multi-Axis Controller [3Dconnexion SpacePilot] on usb-0000:00:1a.0-1.2.4/input0
$ xinput list 8
3Dconnexion SpacePilot                  	id=8	[slave  pointer  (2)]
	Reporting 7 classes:
		Class originated from: 8. Type: XIButtonClass
		Buttons supported: 20
		Button labels: "Button Left" "Button Middle" "Button Right" "Button Wheel Up" "Button Wheel Down" "Button Horiz Wheel Left" "Button Horiz Wheel Right" "Button Side" "Button Extra" "Button 5" "Button 6" "Button 7" "Button 8" "Button 9" "Button Unknown" "Button Unknown" "Button Unknown" "Button Unknown" "Button Unknown" "Button Unknown"
		Button state:
		Class originated from: 8. Type: XIValuatorClass
		Detail for Valuator 0:
		  Label: Rel X
		  Range: -1.000000 - -1.000000
		  Resolution: 1 units/m
		  Mode: relative
		Class originated from: 8. Type: XIValuatorClass
		Detail for Valuator 1:
		  Label: Rel Y
		  Range: -1.000000 - -1.000000
		  Resolution: 1 units/m
		  Mode: relative
		Class originated from: 8. Type: XIValuatorClass
		Detail for Valuator 2:
		  Label: Rel Z
		  Range: -1.000000 - -1.000000
		  Resolution: 1 units/m
		  Mode: relative
		Class originated from: 8. Type: XIValuatorClass
		Detail for Valuator 3:
		  Label: Rel Rotary X
		  Range: -1.000000 - -1.000000
		  Resolution: 1 units/m
		  Mode: relative
		Class originated from: 8. Type: XIValuatorClass
		Detail for Valuator 4:
		  Label: Rel Rotary Y
		  Range: -1.000000 - -1.000000
		  Resolution: 1 units/m
		  Mode: relative
		Class originated from: 8. Type: XIValuatorClass
		Detail for Valuator 5:
		  Label: Rel Rotary Z
		  Range: -1.000000 - -1.000000
		  Resolution: 1 units/m
		  Mode: relative
$ xinput list-props 8
Device '3Dconnexion SpacePilot':
	Device Enabled (142):	1
	Coordinate Transformation Matrix (144):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	Device Accel Profile (281):	0
	Device Accel Constant Deceleration (282):	1.000000
	Device Accel Adaptive Deceleration (283):	1.000000
	Device Accel Velocity Scaling (284):	10.000000
	Device Product ID (261):	1133, 50725
	Device Node (262):	"/dev/input/event18"
	Evdev Axis Inversion (285):	0, 0
	Evdev Axes Swap (287):	0
	Axis Labels (288):	"Rel X" (152), "Rel Y" (153), "Rel Z" (277), "Rel Rotary X" (278), "Rel Rotary Y" (279), "Rel Rotary Z" (280)
	Button Labels (289):	"Button Left" (145), "Button Middle" (146), "Button Right" (147), "Button Wheel Up" (148), "Button Wheel Down" (149), "Button Horiz Wheel Left" (150), "Button Horiz Wheel Right" (151), "Button Side" (275), "Button Extra" (276), "Button 5" (270), "Button 6" (271), "Button 7" (272), "Button 8" (273), "Button 9" (274), "Button Unknown" (264), "Button Unknown" (264), "Button Unknown" (264), "Button Unknown" (264), "Button Unknown" (264), "Button Unknown" (264)
	Evdev Middle Button Emulation (290):	0
	Evdev Middle Button Timeout (291):	50
	Evdev Third Button Emulation (292):	0
	Evdev Third Button Emulation Timeout (293):	1000
	Evdev Third Button Emulation Button (294):	3
	Evdev Third Button Emulation Threshold (295):	20
	Evdev Wheel Emulation (296):	0
	Evdev Wheel Emulation Axes (297):	0, 0, 4, 5
	Evdev Wheel Emulation Inertia (298):	10
	Evdev Wheel Emulation Timeout (299):	200
	Evdev Wheel Emulation Button (300):	4
	Evdev Drag Lock Buttons (301):	0
Comment 1 Alex Smirnoff 2013-06-24 06:48:32 EDT
Sorry, my description was not accurate. Spacepilot *IS* recognized as mouse by X11, but it is very inconsistent. Only main x/y axis are mapped properly, others are not -- I cannot scroll/zoom/whatever other options 6df device could provide.

And joystick mode is still missing, so I cannot use it for games.
Comment 2 Jaromír Cápík 2013-06-24 08:28:54 EDT
Hi Alex.

This device doesn't need linuxconsoletools for the initialization and seems to be fully controlled by the kernel. The problem very probably lies in the kernel driver. I'm changing the component to kernel and let's wait for the answer from the kernel team.

Regards,
Jaromir.
Comment 3 Justin M. Forbes 2013-10-18 17:11:42 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 Alex Smirnoff 2013-11-26 08:28:05 EST
The issue is still present, nothing changed.
Comment 5 Fedora End Of Life 2013-12-21 09:07:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:56:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Justin M. Forbes 2014-02-24 08:57:45 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 8 Justin M. Forbes 2014-03-17 14:41:34 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.
Comment 9 Alex Smirnoff 2014-03-18 05:09:00 EDT
Why is it needinfo? I provided everything I was asked for.
Comment 10 Josh Boyer 2014-03-18 08:12:05 EDT
Benjamin, any ideas on this one?
Comment 11 Benjamin Tissoires 2014-03-18 08:56:58 EDT
It's a HID device and it is not working with the generic driver. So we need quirks.

Fortunately, the Spacenavigator and the Spacetraveller are both supported in hid-lg.c. Maybe the fix here will be sufficient for this device, but I am not sure at all.

Google shows that the device presents a LCD display plus a lot of buttons, and I doubt these will be supported with the current quirks in place in the kernel.
So I would say that we need a special driver for that.
Comment 12 Rutger Bazen 2014-04-22 17:32:35 EDT
I'm having the same problems on my Fedora 20 x32_64 machine.
If I can do anything to test or provide more information it would not be a problem.
Comment 13 Justin M. Forbes 2014-05-21 15:39:13 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 14 Alex Smirnoff 2014-06-03 06:32:14 EDT
Yes, still present, nothing changed.
Comment 15 Justin M. Forbes 2014-11-13 11:00:37 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 16 Alex Smirnoff 2014-11-13 15:10:24 EST
The bug persists.
Comment 17 Fedora Kernel Team 2015-02-24 11:21:30 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 18 Fedora Kernel Team 2015-04-28 14:22:45 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.